levelshots/UJE_cathedral_cc_automap
{
   nopicmip
   nocompress
   nomipmaps
   {
      clampmap levelshots/UJE_cathedral_cc.tga
      depthFunc equal
      rgbGen identity
   }
}

levelshots/UJE_cathedral_cc_trans
{
   nopicmip
   nocompress
   nomipmaps
   {
      clampmap levelshots/UJE_cathedral_cc.tga
      blendfunc blend
      rgbGen identity
      alphaGen vertex
   }
}

//--- de lucht
textures/UJE_cathedral/uje_sky
{
	qer_editorimage textures/UJE_cathedral/sky/ujesky_ft.tga
	q3map_lightrgb 0.8 0.9 1.0
	q3map_skylight 150 3
	q3map_sunExt 0.8 0.9 1.0 70 0 28 3 16

	skyparms "textures/UJE_cathedral/sky/ujesky" 256 -

	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	{
		map textures/skies/fueldump_clouds.tga
		blendfunc blend
		rgbGen identity
		tcMod scroll 0.005 0.00
		tcMod scale 2 1
	}
}

textures/UJE_cathedral/uje_pavement
{
      	qer_editorimage textures/desert_sd/pavement_quad_sandy.tga
	q3map_nonplanar 
	q3map_bounce 1
	surfaceparm gravelsteps
      	surfaceparm landmine
	{
		map textures/desert_sd/pavement_quad_sandy.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/UJE_cathedral/stucco_nostripe_bb
{ 
qer_editorimage textures/UJE_cathedral/stucco_nostripe_bb.tga
surfaceparm woodsteps
surfaceparm playerclip
implicitMap -
{ 
map textures/UJE_cathedral/stucco_nostripe_bb.tga 
} 
} 

textures/UJE_cathedral/stucco_diagonal_pattern_bb
{ 
qer_editorimage textures/UJE_cathedral/stucco_diagonal_pattern_bb.tga
surfaceparm woodsteps
surfaceparm playerclip
implicitMap -
{ 
map textures/UJE_cathedral/stucco_diagonal_pattern_bb.tga 
} 
} 

textures/UJE_cathedral/bb_chartres_window1
{
	qer_editorimage textures/UJE_cathedral/bb_chartres_window1.tga
	q3map_surfaceLight 100

	// Texture layer properties
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/UJE_cathedral/bb_chartres_window1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/UJE_cathedral/bb_chartres_window1.blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/UJE_cathedral/bb_salisbury_window2
{
	qer_editorimage textures/UJE_cathedral/bb_salisbury_window2.tga
	q3map_surfaceLight 100

	// Texture layer properties
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/UJE_cathedral/bb_salisbury_window2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/UJE_cathedral/bb_salisbury_window2.blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/UJE_cathedral/bb_westminster_window1
{
	qer_editorimage textures/UJE_cathedral/bb_westminster_window1.tga
	q3map_surfaceLight 100

	// Texture layer properties
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/UJE_cathedral/bb_westminster_window1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/UJE_cathedral/bb_westminster_window1.blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/UJE_cathedral/bb_mml_church_light_halo
{
	// Radiant properties
	qer_trans 0.75

	// RTCW properties
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	nofog
	cull back
	nopicmip
	nomipmaps
	polygonoffset

	// Texture layer properties
	{
		map textures/UJE_cathedral/bb_mml_church_light_halo.tga
		blendFunc add
	}
}

textures/UJE_cathedral/server_nameplate
{
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm woodsteps
	implicitMap -
}

textures/UJE_cathedral/bb_gallery
{
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm woodsteps
	implicitMap -
}

textures/UJE_cathedral/bb_gazebo_lt
{
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm woodsteps
	implicitMap -
}

textures/UJE_cathedral/bb_gazebo_rt
{
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm woodsteps
	implicitMap -
}

textures/UJE_cathedral/bb_nave_down
{
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm woodsteps
	implicitMap -
}

textures/UJE_cathedral/bb_nave_lt
{
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm woodsteps
	implicitMap -
}

textures/UJE_cathedral/bb_nave_rt
{
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm woodsteps
	implicitMap -
}

textures/UJE_cathedral/bb_north_court_down
{
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm woodsteps
	implicitMap -
}

textures/UJE_cathedral/bb_north_court_lt
{
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm woodsteps
	implicitMap -
}

textures/UJE_cathedral/bb_north_court_rt
{
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm woodsteps
	implicitMap -
}

textures/UJE_cathedral/bb_south_court_down
{
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm woodsteps
	implicitMap -
}

textures/UJE_cathedral/bb_south_court_lt
{
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm woodsteps
	implicitMap -
}

textures/UJE_cathedral/bb_south_court_rt
{
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm woodsteps
	implicitMap -
}

textures/UJE_cathedral/bb_nwposter1
{
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm woodsteps
	implicitMap -
}

textures/UJE_cathedral/bb_senf_poster1
{
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm woodsteps
	implicitMap -
}
textures/UJE_cathedral/uje_pijpen
{
	qer_editorimage textures/UJE_cathedral/pijpen.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	deformVertexes move 0.1 0.1 0 sin 0 0.1 0 1  
	{
		map textures/UJE_cathedral/pijpen.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
//---models
models/mapobjects/ktrees/05bark
{
	q3map_clipModel
	surfaceparm woodsteps
	surfaceparm nomarks
	implicitMap -
}
models/mapobjects/ktrees/ttrunk
{
	q3map_clipModel
	surfaceparm woodsteps
	surfaceparm nomarks
	implicitMap -
}
models/mapobjects/ktrees/12branch
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}
models/mapobjects/ktrees/ttree
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}